import { world, EquipmentSlot } from "@minecraft/server";

// Dis Sword
export function SwordMechanicsDH() {
    world.afterEvents.itemUse.subscribe(({ source }) => {
        const equippable = source.getComponent("equippable");
        const item = equippable.getEquipment(EquipmentSlot.Mainhand);
        if (!item) return;
        switch (item.typeId) {
            case "dh:disfigured_bone_blade": // DisSword
                if (item.typeId === "dh:disfigured_bone_blade" && !source.hasTag('cooldown_sword_dis') && source.isOnGround) {
                    source.runCommandAsync('function sword_bone');
                    source.addTag('cooldown_sword_dis');
                    break;
                }

        }
    });
}

// Headset
export function HeadsetDH() {
    world.afterEvents.itemUse.subscribe(({ source }) => {
        const equippable = source.getComponent("equippable");
        const item = equippable.getEquipment(EquipmentSlot.Mainhand);
        if (!item) return;
        switch (item.typeId) {
            case "dh:headphones": // Headset
                if (item.typeId === "dh:headphones" && !source.hasTag('cooldown_sword_head') && source.isOnGround) {
                    source.runCommandAsync('function headphones');
                    source.addTag('cooldown_sword_head');
                    break;
                }

        }
    });
}

world.afterEvents.itemCompleteUse.subscribe(data => {
    const item = data.itemStack
    const player = data.source
    if (item?.typeId === 'dh:horror_brew') {
        player.runCommandAsync('function die_boi')
    }
})

world.afterEvents.itemCompleteUse.subscribe(data => {
    const item = data.itemStack
    const player = data.source
    if (item?.typeId === 'dh:dreadful_organ') {
        player.runCommandAsync('function yum')
    }
})